import { NgModule, Directive, ElementRef, OnInit } from '@angular/core';
import { CommonModule } from '@angular/common';

declare let Prism: any;

@Directive({
    selector: '[glxCode]'
})
export class CodeHighlighterDirective implements OnInit {

    constructor(public el: ElementRef) {
    }

    ngOnInit() {
        Prism.highlightElement(this.el.nativeElement);
    }
}

@NgModule({
    imports: [CommonModule],
    exports: [CodeHighlighterDirective],
    declarations: [CodeHighlighterDirective]
})
export class CodeHighlighterModule {
}


