import { NgModule, Component, Input, OnInit } from '@angular/core';
import { CommonModule } from '@angular/common';
import { AccordionModule } from 'primeng/components/accordion/accordion';
import { DataTableModule } from 'primeng/components/datatable/datatable';
import { TabViewModule } from 'primeng/components/tabview/tabview';
import { SharedModule } from 'primeng/components/common/shared';

import { LANG_RU } from './lang_ru';

@Component({
    selector: 'glx-contracts-viewer',
    styleUrls: ['./contractsViewer.scss'],
    templateUrl: './contractsViewer.html'
})

export class ContractsViewer implements OnInit {
    @Input() contracts: any[] = [];
    @Input() multiple: boolean = true;
    @Input() mode: string = 'accordion'; // accordion, tab
    @Input() lang: any = LANG_RU;
    @Input() noDataMessage: string = 'Нет информации';

    constructor() {
    }

    ngOnInit() {
    }

    pay(payment) {
        // TODO: сделать Output event при оплате
        console.log(payment);
    }
}

@NgModule({
    imports: [CommonModule, SharedModule, AccordionModule, DataTableModule, TabViewModule],
    exports: [ContractsViewer],
    declarations: [ContractsViewer]
})

export class ContractsViewerModule {
}
