import { Injectable } from '@angular/core';
import { Http, Response } from '@angular/http';
import { AuthHttp } from 'angular2-jwt';

import { Observable } from 'rxjs/Observable';
import 'rxjs/add/operator/map';
import 'rxjs/add/operator/catch';
import 'rxjs/add/observable/throw';

@Injectable()
export class FieldService {

    private apiUrl: string = '/api/fields/';

    constructor(private authHttp: AuthHttp, private http: Http) {
    }

    public setUrl(url: string) {
        this.apiUrl = url;
    }

    public get(id: number, secure: boolean): Observable<any> {
        const url = this.apiUrl + id;
        if (secure) {
            return this.authHttp
                .get(url)
                .map((response: Response) => {
                    return response.json();
                })
                .catch(this._handleError);
        } else {
            return this.http
                .get(url)
                .map((response: Response) => {
                    return response.json();
                })
                .catch(this._handleError);
        }
    }

    private _handleError(error: any) {
        console.error(error);
        if (error instanceof Response) {
            return Observable.throw(error.json().error || error.json() || 'Server error');
        }
        return Observable.throw(error || 'Server error');
    }

}
