import { NgModule, Component, Input, OnInit } from '@angular/core';
import { CommonModule } from '@angular/common';

@Component({
    selector: 'glx-loading-banner',
    styleUrls: ['loadingBanner.scss'],
    templateUrl: 'loadingBanner.html'
})

export class LoadingBanner implements OnInit {
    @Input() loading: boolean = false;
    @Input() svg: boolean = false;
    @Input() svgColor1: string = '#EFF0F1';
    @Input() svgColor2: string = '#0052A4';
    @Input() svgSpeed1: string = '1.5s';
    @Input() svgSpeed2: string = '1s';
    @Input() svgWidth: string = '100px';
    @Input() svgMTop: string = '0';
    @Input() svgAlign: string = 'center'; // center | left
    @Input() icon: string = 'fa-spinner fa-pulse fa-3x';
    @Input() text: string = '';
    @Input() srtext: string = 'Загрузка...';
    @Input() theme: string = 'default';

    constructor() {
    }

    ngOnInit() {

    }
}

@NgModule({
    imports: [CommonModule],
    exports: [LoadingBanner],
    declarations: [LoadingBanner]
})

export class LoadingBannerModule {
}
